[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TPropStorageXMLConfig

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Wrapper for the TXMLConfig class defined in the FCL XMLConf.pp unit.

## Declaration

Source position: xmlpropstorage.pas line 28

`type TPropStorageXMLConfig = class(TXMLConfig)`
`public`
`procedure DeleteSubNodes();` |  | Deletes sub nodes on a path.
`procedure LoadFromStream(); virtual;` |  | Loads XML content from a stream.
`procedure SaveToStream(); virtual;` |  | Saves XML content to a stream.
`property XMLDoc: TXMLDocument; [r]` |  | Contains the XML document.
`end;`

## Inheritance

`TPropStorageXMLConfig` |  | Wrapper for the TXMLConfig class defined in the FCL XMLConf.pp unit.
`TXMLConfig`
?
`TObject`

## Description

More information about TXMLConfig and XMLConf are available on the FPC wiki at:

XMLConf

TXMLConfig